Bug 1302377 - rhel-osp-installer fail to install due to 'Could not evaluate: Could not load data from https://xxx/'
rhel-osp-installer fail to install due to 'Could not evaluate: Could not load...
Status: CLOSED EOL
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer (Show other bugs)
Foreman (RHEL 6)
All Linux
high Severity high
: ---
: 8.0 (Liberty)
Assigned To: Mike Burns
Omri Hochman
: Unconfirmed, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 11:23 EST by Jaison Raju
Modified: 2016-09-29 09:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 09:25:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Faiaz Ahmed 2016-01-28 19:03:02 EST
I notice the it was stopped at the stage

~~~~~~~~~~~~~~~~~~~~~~
Networking setup has finished
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[test.test.com]: Could not evaluate: Could not load data from https://test.test.com
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[test.test.com]: Failed to call refresh: Could not load data from https://test.test.com
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[test.test.com]: Could not load data from https://test.test.com
Installing             Done                                               [100%] [........................................................................................................................]
Not running provisioning configuration since installation encountered errors, exit code was 6
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/rhel-osp-installer/rhel-osp-installer.log
~~~~~~~~~~~~~~~~~~~~~~

So asked customer to disable SeLinux. After SeLinux disable,  the installation was successful and started the configuration.
Comment 5 Pavel Moravec 2016-06-08 09:15:43 EDT
Trivially reproducible:

- have a Content Host registered to a Capsule
- on Satellite, stop qdrouterd service
- monitor memory usage of goferd on the Content Host

Stopping qdrouterd on Capsule instead of Satellite does _not_ cause the leak. So it seems to be a bug in qpid-proton library since just link fails, not (TCP+AMQP) connection.
Comment 6 Pavel Moravec 2016-06-08 09:16:24 EDT
(In reply to Pavel Moravec from comment #5)
> Trivially reproducible:
> 
> - have a Content Host registered to a Capsule
> - on Satellite, stop qdrouterd service
> - monitor memory usage of goferd on the Content Host
> 
> Stopping qdrouterd on Capsule instead of Satellite does _not_ cause the
> leak. So it seems to be a bug in qpid-proton library since just link fails,
> not (TCP+AMQP) connection.

Please disregard, wrong BZ.
Comment 7 Jaromir Coufal 2016-09-29 09:25:13 EDT
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform

Note You need to log in before you can comment on or make changes to this bug.